How to group items in popup in Angular Split Button

14 Aug 20263 minutes to read

Grouped items are possible in SplitButton by templating entire popup with ListView. Check ListView grouping and create such items. Create ListView with id listview and provide element of the ListView as target of SplitButton to render it in popup area.

In this following example, ListView is created and its element is set as target for SplitButton.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { SplitButtonModule } from '@syncfusion/ej2-angular-splitbuttons'
import { ListViewModule } from '@syncfusion/ej2-angular-lists'



import { Component } from '@angular/core';

@Component({
imports: [
        
        SplitButtonModule,
        ListViewModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div class="e-section-control">
                <!-- To render ListView. -->
               <ejs-listview id='listview' [dataSource]='listItems' [fields]='field' sortOrder='Descending'></ejs-listview>
               <!-- To render splitbutton. -->
               <ejs-splitbutton content="ClipBoard" target='#listview'></ejs-splitbutton></div>`
})

export class AppComponent {
    // Datasource for listview.
   public listItems: { [key: string]: Object }[] = [
        {
            'text': 'Cut',
            'category': 'Basic'
        },
        {
            'text': 'Copy',
            'category': 'Basic'
        },
        {
            'text': 'Paste',
            'category': 'Basic'
        },
        {
            'text': 'Paste as Formula',
            'category': 'Advanced'
        },
        {
            'text': 'Paste as Hyperlink',
            'category': 'Advanced'
        },
    ];

    public field: Object = { groupBy: 'category' };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

How to group items in popup in React Split Button

4 Sep 20265 minutes to read

Organize React Split Button popup items into logical groups using the ListView component for templating. By leveraging ListView’s grouping capabilities, you can categorize related actions into collapsible or visually distinct sections, improving usability for menus with many items.

To implement grouped items, create a ListView component with the id listview and assign it as the React Split Button’s target. For detailed ListView grouping options, see the ListView grouping documentation.

The following example demonstrates how to create grouped popup items using the ListView component.

import { enableRipple } from '@syncfusion/ej2-base';
import { SplitButtonComponent } from '@syncfusion/ej2-react-splitbuttons';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);
// To render SplitButton.
function App() {
    // Datasource for listview.
    let listItems = [
        {
            'category': 'Basic',
            'text': 'Cut'
        },
        {
            'category': 'Basic',
            'text': 'Copy',
        },
        {
            'category': 'Basic',
            'text': 'Paste'
        },
        {
            'category': 'Advanced',
            'text': 'Paste as Formula'
        },
        {
            'category': 'Advanced',
            'text': 'Paste as Hyperlink'
        },
    ];
    let field = { groupBy: 'category' };
    return (<div>
       <ListViewComponent id="listview" dataSource={listItems} fields={field} sortOrder="Descending"/>
       <SplitButtonComponent target="#listview">ClipBoard</SplitButtonComponent>
      </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
import { enableRipple } from '@syncfusion/ej2-base';
import { SplitButtonComponent } from '@syncfusion/ej2-react-splitbuttons';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

// To render SplitButton.
function App() {

    // Datasource for listview.
    let listItems: Array<{ [key: string]: string; }> = [
        {
            'category': 'Basic',
            'text': 'Cut'
        },
        {
            'category': 'Basic',
            'text': 'Copy',
        },
        {
            'category': 'Basic',
            'text': 'Paste'
        },
        {
            'category': 'Advanced',
            'text': 'Paste as Formula'
        },
        {
            'category': 'Advanced',
            'text': 'Paste as Hyperlink'
        },
    ];

   let field: any = { groupBy: 'category' };
    return (
    <div>
       <ListViewComponent id="listview" dataSource={listItems} fields={field} sortOrder="Descending"/>
       <SplitButtonComponent target="#listview">ClipBoard</SplitButtonComponent>
      </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('button'));

How to group items in popup in Vue Split Button

21 Aug 20266 minutes to read

Grouped items are possible in SplitButton by templating entire popup with ListView. Check ListView grouping and create such items. Create ListView with id listview and provide element of the ListView as target of SplitButton to render it in popup area.

Install Syncfusion® List packages using below command.

npm install @syncfusion/ej2-vue-list --save

In this following example, ListView is created and its element is set as target for SplitButton.

<template>
    <div>
        <ejs-splitbutton target='#listview'>ClipBoard</ejs-splitbutton>
        <ejs-listview id='listview' :dataSource='items' :fields='fields' sortOrder='Descending'>
        </ejs-listview>
    </div>
</template>

<script setup>

import { SplitButtonComponent as EjsSplitbutton } from "@syncfusion/ej2-vue-splitbuttons";
import { ListViewComponent as EjsListview } from '@syncfusion/ej2-vue-lists';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
const items = [
    {
        'text': 'Cut',
        'category': 'Basic'
    },
    {
        'text': 'Copy',
        'category': 'Basic'
    },
    {
        'text': 'Paste',
        'category': 'Basic'
    },
    {
        'text': 'Paste as Formula',
        'category': 'Advanced'
    },
    {
        'text': 'Paste as Hyperlink',
        'category': 'Advanced'
    }];
const fields = { groupBy: 'category' };
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';

.e-split-btn-wrapper {
    margin: 20px 20px 5px 5px;
}
</style>
<template>
    <div>
        <ejs-splitbutton target='#listview'>ClipBoard</ejs-splitbutton>
        <ejs-listview id='listview' :dataSource='items' :fields='fields' sortOrder='Descending'>
        </ejs-listview>
    </div>
</template>

<script>

import { SplitButtonComponent } from "@syncfusion/ej2-vue-splitbuttons";
import { ListViewComponent } from '@syncfusion/ej2-vue-lists';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
export default {
    name: "App",
    components: {
        "ejs-splitbutton": SplitButtonComponent,
        "ejs-listview": ListViewComponent
    },
    data() {
        return {
            items: [
                {
                    'text': 'Cut',
                    'category': 'Basic'
                },
                {
                    'text': 'Copy',
                    'category': 'Basic'
                },
                {
                    'text': 'Paste',
                    'category': 'Basic'
                },
                {
                    'text': 'Paste as Formula',
                    'category': 'Advanced'
                },
                {
                    'text': 'Paste as Hyperlink',
                    'category': 'Advanced'
                }],
            fields: { groupBy: 'category' }
        };
    }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';

.e-split-btn-wrapper {
    margin: 20px 20px 5px 5px;
}
</style>